@echo off
REM Licensed Materials - Property of IBM
REM 5648-F10 (C) Copyright International Business Machines Corp. 2005 
REM All Rights Reserved
REM US Government Users Restricted Rights- Use, duplication or disclosure
REM restricted by GSA ADP Schedule Contract with IBM Corp.

SETLOCAL

    CALL "%~dp0GetShortName.bat" "%~dp0" LaunchPadBatchPath
    SET var=
:setenv
    IF {%1} == {} GOTO :envset
    IF {%var%} == {} ( 
	SET var=%1
	SHIFT
	GOTO :setenv
    )
    SET %var%=%1
    SET var=
    SHIFT
    GOTO :setenv
:envset
    IF "%LaunchPadContentDirectory%" == "" SET LaunchPadContentDirectory=content\
    CALL %LaunchPadBatchPath%\setTmp.bat
    CALL %LaunchPadBatchPath%\SetArchitecture.bat

    REM Copy the dosinator to temp so it can be used from within the launchpad
    COPY %LaunchPadBatchPath%\ScriptLauncher.exe %LaunchPadTemp%

    REM If the launchpadEnv file exists, process it
    IF exist "%LaunchPadBatchPath%\launchpadEnv" for /F "tokens=1,2* delims=" %%a in (%LaunchPadBatchPath%\launchpadEnv) do CALL :setOneEnvironmentVariable %%a %%b

    IF {%LaunchPadDefaultBrowser%} == {} CALL %LaunchPadBatchPath%\readRegistry.bat "HKEY_CLASSES_ROOT\.html" @ browser LaunchPadDefaultBrowser

    REM Normalize the registry data for Vista
    IF NOT {%LaunchPadDefaultBrowser%} == {} SET LaunchPadDefaultBrowser=%LaunchPadDefaultBrowser: =%
    IF NOT {%LaunchPadDefaultBrowser%} == {} SET LaunchPadDefaultBrowser=%LaunchPadDefaultBrowser:"=%

    IF {%LaunchPadDefaultBrowser%} == {MozillaHTML} SET LaunchPadDefaultBrowser=Mozilla
    IF {%LaunchPadDefaultBrowser%} == {FirefoxHTML} SET LaunchPadDefaultBrowser=Firefox
    IF {%LaunchPadDefaultBrowser%} == {SeaMonkeyHTML} SET LaunchPadDefaultBrowser=SeaMonkey
    IF {%LaunchPadDefaultBrowser%} == {htmlfile} SET LaunchPadDefaultBrowser=IExplore
    IF {%LaunchPadDefaultBrowser%} == {Mozilla} %LaunchPadBatchPath%\Mozilla.bat
    IF {%LaunchPadDefaultBrowser%} == {Firefox} %LaunchPadBatchPath%\Firefox.bat
    IF {%LaunchPadDefaultBrowser%} == {SeaMonkey} %LaunchPadBatchPath%\SeaMonkey.bat

    %LaunchPadBatchPath%\IExplore.bat


    REM This subroutine sets an environment variable
    REM %~1 is the key
    REM %~2 is the value
    :setOneEnvironmentVariable

    REM Check that both %~1 and %~2 have a value
    if "%~1" == "" goto :EOF
    if "%~2" == "" goto :EOF

    REM reset the errorlevel
    set errorlevel = 0
    REM Check to see that the variable isn't already set, we don't want to override preset env vars
    set %~1
    if %errorlevel% == 1 set %~1=%~2
    set errorlevel = 0
    
    goto :EOF
    REM --------------   End setOneEnvironmentVariable ----------------------

ENDLOCAL

